summaryrefslogtreecommitdiff
path: root/makeinfo/tests/html-title
diff options
context:
space:
mode:
Diffstat (limited to 'makeinfo/tests/html-title')
-rwxr-xr-xmakeinfo/tests/html-title13
1 files changed, 13 insertions, 0 deletions
diff --git a/makeinfo/tests/html-title b/makeinfo/tests/html-title
new file mode 100755
index 0000000..54badd5
--- /dev/null
+++ b/makeinfo/tests/html-title
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Test that titles with @ commands don't produce markup in the <title>.
+# (And that the @ commands get expanded.)
+
+if ../makeinfo --no-split --html ${srcdir-.}/html-title.txi; then
+ grep '^<title>@[^<>]*</title>$' html-title.html >/dev/null
+ exit_status=$?
+else
+ exit_status=1
+fi
+
+rm -f html-title.html
+exit $exit_status